Subject: Re: how to track changes of a file

From: bill lam <[email-masked]>
Date: Mon, 16 Jun 2008 23:49:10 +0800

Johannes Sixt wrote:
> $ git rev-list -3 -- glinvc03.ijs
> 
> 
> $ git show {23335c,31e4f2,b515f0}:glinvc03.ijs

Thank for you help, but these 2 command did not work, did I missing something? I 
I use git version 1.5.4.3 on linux.

$ git rev-list -3 -- glinvc03.ijs
usage: git-rev-list [OPTION] <commit-id>... [ -- paths... ]
   limiting output:
     --max-count=nr
     --max-age=epoch
     --min-age=epoch
     --sparse
     --no-merges
     --remove-empty
     --all
     --stdin
     --quiet
   ordering output:
     --topo-order
...

$ git show {23335c,31e4f2,b515f0}:glinvc03.ijs
fatal: ambiguous argument '23335c:glinvc03.ijs': unknown revision or path not in 
the working tree.
Use '--' to separate paths from revisions